#include "FxCyanF.hpp"

// C++ system level
#include <string>
// #include <cstdio>
// #include <cstdlib>
// #include <algorithm>
// #include <functional>

// ESP32 specific
#include "nvs.h"
#include "nvs_flash.h"
#include "esp_log.h"

// misc
// #include <nlohmann/json.hpp>

// qthing stuff
// #include <qthing>
// #include <qthing/mqtt_common.hpp>

// project specific
// #include "FxVSync.hpp"
// #include "CyanBus.hpp"
// #include "Metrics.hpp"



namespace SiliconTorch {

  // namespace FxCyanF {


    const std::string nameSpace = "FxCyanF";


    bool configureFromNVS(FxCyanF& target) {

      nvs_flash_init();

      nvs_handle_t nvs;
      nvs_open(nameSpace.c_str(), NVS_READONLY, &nvs);


      return false;
    }


  // }
}
